pub trait XVar<E>: Clone {
    fn update(&self, alpha: f64, prime: &E) -> Self;
}

/// Implementation of XVar for an f64 type
impl XVar<f64> for f64 {
    fn update(&self, alpha: f64, prime: &f64) -> Self {
        self + alpha * prime
    }
}
